package org.springblade.dataextraction.kit;

import lombok.Data;

@Data
public class ResultSegment {
    private boolean flag;
    private Object code;
    private String message;
    private Object data;


    public ResultSegment(boolean flag, Object code, String message, Object data) {
        super();
        this.flag = flag;
        this.code = code;
        this.message = message;
        this.data = data;
    }

    public ResultSegment(boolean flag, Object code, String message) {
        super();
        this.flag = flag;
        this.code = code;
        this.message = message;
    }


}
